Is it possible to make a non-planar TopoDS_Face?

I've tried unsuccessfully to build one using a wire, but it doesn't work- which makes sense given the default way of doing it with a wire, but I can't make heads or tails of how someone could get this working- what object is needed, how to build it, etc. The closest I can figure out is that you need to create a Geom object of some sort, but beyond that I'm lost. Any suggestions?

Laszlo Kudela's picture

Hello Sam,

Of course it is possible to make a non planar TopoDS_Face. You are right, one possible way to create one is to create a Geom_Surface before, and then pass it to the BRepBuilderAPI_MakeFace class. This will create you a TopoDS_Face with an underlying geometry that is specified in the Geom_Surface class.

What exactly do you want to build?

Alexander Luger's picture

If you want to make a non-planar face from a wire, the class BRepFill_Filling is what you are looking for.

Alex